./devel/py-ZopeComponent, Zope Component Architecture modules

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 4.6.2, Package name: py37-ZopeComponent-4.6.2, Maintainer: pkgsrc-users

This package represents the core of the Zope Component Architecture.
Together with the 'zope.interface' package (devel/py-ZopeInterface), it
provides facilities for defining, registering and looking up components.

This package is intended to be independently reusable in any Python
project. It is maintained by the Zope Toolkit project.


Required to run:
[devel/py-setuptools] [devel/py-ZopeInterface] [devel/py-ZopeEvent] [lang/python37] [devel/py-zope.deprecation] [devel/py-zope.deferredimport] [devel/py-zope.hookable]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: e8b2326901db6a39c9771ee164be66a43d504e51
RMD160: 1ef1bd7581034d31e6467944df6d04588aba8a5c
Filesize: 88.819 KB

Version history: (Expand)


CVS history: (Expand)


   2020-09-01 01:07:07 by Thomas Klausner | Files touched by this commit (62)
Log message:
*: switch to versioned_dependencies.mk for py-setuptools
   2020-08-21 14:40:54 by Adam Ciarcinski | Files touched by this commit (2) | Package updated
Log message:
py-ZopeComponent: updated to 4.6.2

4.6.2:
- Improve the documentation, both published and in docstrings.
   2020-06-08 16:08:00 by Adam Ciarcinski | Files touched by this commit (2) | Package updated
Log message:
py-ZopeComponent: updated to 4.6.1

4.6.1:
Ensure the resolution order of BaseGlobalComponents is consistent.

4.6.0:
Add support for Python 3.8.
Drop support for Python 3.4.
Fix tests on Python 2 following changes in ZODB 5.5.0.
   2018-10-28 16:21:23 by Takahiro Kambe | Files touched by this commit (1) | Package updated
Log message:
devel/py-ZopeComponent: add missing dependency

Add depdendency to devel/py-zope.deferredimport, py-zope.deprecation and
devel/py-zope.hookable in order to fix secuiry/py-certbot runtime problem.

Bump PKGREVISION.
   2018-10-15 12:40:33 by Adam Ciarcinski | Files touched by this commit (3) | Package updated
Log message:
py-ZopeComponent: updated to 4.5

4.5:
- Add support for Python 3.7.
- Always install zope.hookable as a dependency (the hook
  extra is now empty). zope.hookable respects the PURE_PYTHON
  environment variable, and has an optional C extension.
- Make accessing names that have been moved to zope.interface
  produce a DeprecationWarning.
   2017-10-10 09:42:33 by Adam Ciarcinski | Files touched by this commit (2) | Package updated
Log message:
py-ZopeComponent: update to 4.4.1

4.4.1:
- Remove obsolete call of ``searchInterface``
   2016-11-11 10:45:13 by Filip Hajny | Files touched by this commit (2) | Package updated
Log message:
Update devel/py-ZopeComponent to 4.3.0.

- When testing PURE_PYTHON environments under tox, avoid poisoning the
  user's global wheel cache.
- Drop support for Python 2.6 and 3.2.
- Add support for Python 3.5.
   2015-12-01 08:52:51 by Filip Hajny | Files touched by this commit (2) | Package updated
Log message:
Update devel/py-ZopeComponent to 4.2.2.
Fix missing dependencies.

4.2.2 (2015-06-04)
- Fix test cases for PyPy and PyPy3.